Skip to main content
GET
/
backups
/
{backup_id}
from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

backup = pc.describe_backup(backup_id="8c85e612-ed1c-4f97-9f8c-8194e07bcf71")
print(backup)

Documentation Index

Fetch the complete documentation index at: https://docs.pinecone.io/llms.txt

Use this file to discover all available pages before exploring further.

from pinecone import Pinecone

pc = Pinecone(api_key="YOUR_API_KEY")

backup = pc.describe_backup(backup_id="8c85e612-ed1c-4f97-9f8c-8194e07bcf71")
print(backup)

Authorizations

Api-Key
string
header
required

An API Key is required to call Pinecone APIs. Get yours from the console.

Headers

X-Pinecone-Api-Version
string
default:202601-alpha
required

Required date-based version header

Path Parameters

backup_id
string
required

The ID of the backup to describe.

Response

Configuration information and deployment status of the backup.

The BackupModel describes the configuration and status of a Pinecone backup.

backup_id
string
required

Unique identifier for the backup.

Example:

"670e8400-e29b-41d4-a716-446655440001"

source_index_name
string
required

Name of the index from which the backup was taken.

Example:

"my-index"

source_index_id
string
required

ID of the index from which the backup was taken.

Example:

"670e8400-e29b-41d4-a716-446655440000"

status
string
required

Current status of the backup.

Example:

"Ready"

cloud
string
required

Cloud provider where the backup is stored.

Example:

"aws"

region
string
required

Cloud region where the backup is stored.

Example:

"us-east-1"

name
string

Optional user-defined name for the backup.

Example:

"backup-2025-02-04"

description
string

Optional description providing context for the backup.

Example:

"Backup before bulk update."

schema
object

The schema of a Pinecone index. The schema defines the typed fields that documents in the index can contain, including vector fields, semantic text fields, and metadata fields.

Example:
{
"fields": {
"embedding": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
},
"title": {
"full_text_search": { "language": "en" },
"type": "string"
}
}
}
record_count
integer

Total number of records in the backup.

Example:

120000

namespace_count
integer

Number of namespaces in the backup.

Example:

3

size_bytes
integer

Size of the backup in bytes.

Example:

10000000

tags
object

Custom user tags added to an index. Keys must be 80 characters or less. Values must be 120 characters or less. Keys must be alphanumeric, '', or '-'. Values must be alphanumeric, ';', '@', '', '-', '.', '+', or ' '. To unset a key, set the value to be an empty string.

Example:
{ "tag0": "val0", "tag1": "val1" }
created_at
string<date-time>

Timestamp when the backup was created.

Example:

"2025-02-04T10:30:00.000Z"